Subject: First Butterflies for 1996

From: Ann White <[email-masked]>
Date: Mon, 1 Apr 1996 10:38:14 PST

S.W.Ontario has had a long, cold winter, but yesterday, March 31, I saw
Compton Tortoiseshell and Mourning Cloak in the London area. Today,
April Fool's, we woke to a white world again.            Ann White.